# PCFieldSplitSetType

Sets the type of fieldsplit preconditioner.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCFieldSplitSetType(PC pc,PCCompositeType type)

Collective on PC

### Input Parameter

pc -the preconditioner context
type -PC_COMPOSITE_ADDITIVE (default), PC_COMPOSITE_MULTIPLICATIVE, PC_COMPOSITE_SYMMETRIC_MULTIPLICATIVE

### Options Database Key

-pc_fieldsplit_type <type: one of multiplicative, additive, symmetric_multiplicative, special> -Sets fieldsplit preconditioner type

### Keywords

PC, set, type, composite preconditioner, additive, multiplicative

### See Also

PCCompositeSetType()

Level:Developer
Location: src/ksp/pc/impls/fieldsplit/fieldsplit.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages